package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticeRulePublishProgressEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface NoticeRulePublishProgressRepo extends JpaRepository<NoticeRulePublishProgressEntity, Long>,
        QueryByExampleExecutor<NoticeRulePublishProgressEntity>, JpaSpecificationExecutor<NoticeRulePublishProgressEntity> {

    List<NoticeRulePublishProgressEntity> findByNoticeIdIn(List<Long> noticeIdList);

    @Transactional
    @Modifying
    @Query(value="delete from EC_E_NOTICE_PUBLISH_SCHEDULE where root_org_id=?1 and notice_id in ?2",nativeQuery = true)
    int deleteByRootOrgIdAndNoticeIdIn(Long rootOrgId,List<Long> noticeId);

    @Transactional
    @Modifying
    void deleteByNoticeId(Long noticeId);
}
